summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorLennart Poettering <lennart@poettering.net>2004-01-08 23:42:34 +0000
committerLennart Poettering <lennart@poettering.net>2004-01-08 23:42:34 +0000
commit8ceda18de1ba57c10af74043d0e3c33fecd4767a (patch)
tree79b8fe182438d55432e47cd0e86bad32125ec9e1
parent7b3475368a1950d2adc638bdc4d0bbda4b3d1e18 (diff)
add newmessage script
git-svn-id: file:///home/lennart/svn/public/ivam2/trunk@21 dbf6933d-3bce-0310-9bcc-ed052ba35b35
-rwxr-xr-xclients/newmessage75
1 files changed, 75 insertions, 0 deletions
diff --git a/clients/newmessage b/clients/newmessage
new file mode 100755
index 0000000..afc56c5
--- /dev/null
+++ b/clients/newmessage
@@ -0,0 +1,75 @@
+#!/bin/bash
+
+# $Id$
+#
+# This file is part of ivam.
+#
+# asd is free software; you can redistribute it and/or modify it under
+# the terms of the GNU General Public License as published by the Free
+# Software Foundation; either version 2 of the License, or (at your
+# option) any later version.
+#
+# asd is distributed in the hope that it will be useful, but WITHOUT
+# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
+# FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License
+# for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with ivam; if not, write to the Free Software Foundation,
+# Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA.
+
+
+if [ ! -r "$1" ] ; then
+ echo "New message file not found or not readable." > /dev/stderr
+ exit 1
+fi
+
+EMAIL=root
+[ -r "$SPOOLDIR/EMAIL" ] && EMAIL=$(cat "$SPOOLDIR/EMAIL")
+
+DATE=$(date)
+
+(
+ BOUND="$$-`date +%s`-ivam"
+
+ cat <<EOF
+To: $EMAIL
+Subject: New voice message from $CALLERMSN
+Mime-Version: 1.0
+Content-Type: multipart/mixed; boundary="$BOUND"
+Content-Disposition: inline
+
+--$BOUND
+Content-Type: text/plain; charset=us-ascii
+Content-Disposition: inline
+
+A new voice message has been received:
+
+Caller number: $CALLERMSN
+ Local number: $RINGMSN
+ File: $1
+ Date: $DATE
+ Length: ${SEC_LENGTH}s
+
+For listening to the recorded message please dial $RINGMSN. During
+the welcome message press 0 followed by your PIN. Then you will listen
+to the last recorded message.
+
+ Best regards, your voicebox.
+
+--$BOUND
+Content-Type: application/ogg; charset=unknown-8bit
+Content-Disposition: attachment; filename="voice-message.ogg"
+Content-Transfer-Encoding: base64
+
+EOF
+
+ zcat -f "$1" | sox -t raw -Ub -r8000 -c1 - -t raw -sw - | oggenc --quiet -q0 -r -C1 -B16 -R8000 -a "IVAM Voicebox" -t "Phone call from $CALLERMSN to $RINGMSN, $DATE" -o- - | mimencode
+
+cat <<EOF
+--${BOUND}--
+
+EOF
+
+) | /usr/sbin/sendmail -oi -t
+